## oxygen 5.27.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(oxygen)
set(PROJECT_VERSION "5.27.8")
set(PROJECT_VERSION_MAJOR 5)

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

################# Qt/KDE #################
set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets DBus Quick)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Config
    CoreAddons
    GuiAddons
    WidgetsAddons
    Service
    Completion
    FrameworkIntegration
    WindowSystem)

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    DESCRIPTION "X protocol C-language Binding"
    URL "http://xcb.freedesktop.org"
    TYPE OPTIONAL
    PURPOSE "Required to pass style properties to native Windows on X11 Platform"
)

if(NOT APPLE)
    set(OXYGEN_HAVE_X11 ${XCB_XCB_FOUND})
    if (XCB_XCB_FOUND AND QT_MAJOR_VERSION EQUAL "5")
        find_package(Qt5 REQUIRED CONFIG COMPONENTS X11Extras)
    endif()
endif()


add_subdirectory(liboxygen)
add_subdirectory(kstyle)
add_subdirectory(color-schemes)
add_subdirectory(cursors)
add_subdirectory(kdecoration)

install(DIRECTORY lookandfeel/ DESTINATION ${KDE_INSTALL_DATADIR}/plasma/look-and-feel/org.kde.oxygen
        PATTERN "Messages.sh" EXCLUDE PATTERN "CMakeLists.txt" EXCLUDE)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
oxygen (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:05 +0100

oxygen (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Frameworks build deps at 5.102.0

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 11:41:08 +0100

oxygen (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:54:28 +0200

oxygen (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:19 +0100

oxygen (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:36:50 +0100

oxygen (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:14:54 +0100

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkdecorations2-dev (>= 4:5.27.8~),
               libkf5completion-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/oxygen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Rules-Requires-Root: no

Package: kde-style-oxygen-qt5
Architecture: any
Breaks: plasma-desktop-data (<< 4:5.20),
Replaces: plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

## oxygen 5.27.9

=== debian/changelog ===
oxygen (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:53:52 +0200

oxygen (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 21:55:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: oxygen
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,17 +9,17 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkdecorations2-dev (>= 4:5.27.8~),
+               libkdecorations2-dev (>= 4:5.27.9~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
-               libkf5configwidgets-dev (>= 5.102.0~),
+               libkf5configwidgets-dev,
                libkf5coreaddons-dev (>= 5.102.0~),
                libkf5guiaddons-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
-               libkf5kcmutils-dev (>= 5.102.0~),
+               libkf5kcmutils-dev,
                libkf5service-dev (>= 5.102.0~),
                libkf5style-dev (>= 5.102.0~),
-               libkf5wayland-dev (>= 4:5.102.0~),
+               libkf5wayland-dev,
                libkf5widgetsaddons-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libqt5x11extras5-dev,
@@ -32,8 +31,8 @@
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/oxygen
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
 Rules-Requires-Root: no
 
 Package: kde-style-oxygen-qt5

## oxygen 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(oxygen)
-set(PROJECT_VERSION "5.27.8")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 include(GenerateExportHeader)

=== debian/changelog ===
oxygen (4:5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:13:00 +0000

oxygen (4:5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:23:12 +0000

oxygen (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:18:37 +0000

oxygen (4:5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:58:20 -0700

oxygen (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:25:10 +0100

oxygen (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:04 +0000

oxygen (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: oxygen
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,30 +10,30 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkdecorations2-dev (>= 4:5.27.9~),
+               libkdecorations2-dev (>= 4:5.27.11~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
-               libkf5configwidgets-dev,
+               libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
                libkf5guiaddons-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
-               libkf5kcmutils-dev,
+               libkf5kcmutils-dev (>= 5.102.0~),
                libkf5service-dev (>= 5.102.0~),
                libkf5style-dev (>= 5.102.0~),
-               libkf5wayland-dev,
+               libkf5wayland-dev (>= 4:5.102.0~),
                libkf5widgetsaddons-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libqt5x11extras5-dev,
                libx11-dev,
                libxcb1-dev,
-               pkg-config,
                pkg-kde-tools (>= 0.15.18~),
+               pkgconf,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/oxygen
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
 Rules-Requires-Root: no
 
 Package: kde-style-oxygen-qt5

## oxygen 6.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)
project(oxygen)
set(PROJECT_VERSION "6.1.5")
set(PROJECT_VERSION_MAJOR 6)

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

################# Qt/KDE #################
set(PROJECT_DEP_VERSION "6.1.5")
set(QT5_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.2.0")

set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

option(BUILD_QT5 "Build Qt5 style" ON)
option(BUILD_QT6 "Build with Qt6" ON)

# For KDE CI only. As the current infrastructure doesn't allow us to set CMAKE options per build variant
if($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(BUILD_QT5 ON)
    set(BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(BUILD_QT5 OFF)
    set(BUILD_QT6 ON)
endif()

include(ECMInstallIcons)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    DESCRIPTION "X protocol C-language Binding"
    URL "http://xcb.freedesktop.org"
    TYPE OPTIONAL
    PURPOSE "Required to pass style properties to native Windows on X11 Platform"
)

if(NOT APPLE)
    set(OXYGEN_HAVE_X11 ${XCB_XCB_FOUND})
endif()

if(BUILD_QT5)
block(SCOPE_FOR VARIABLES)
    set(QT_MAJOR_VERSION 5)
    unset(QUERY_EXECUTABLE CACHE)

    include(KDEInstallDirs5)
    include (KDECMakeSettings)

    find_package(Qt5 ${QT5_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets DBus Quick)
    find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Config
    CoreAddons
    GuiAddons
    WidgetsAddons
    Service
    Completion
    FrameworkIntegration
    WindowSystem)

    if(OXYGEN_HAVE_X11)
        find_package(Qt5X11Extras ${QT5_MIN_VERSION} REQUIRED CONFIG)
    endif()


    add_subdirectory(liboxygen liboxygen5)
    add_subdirectory(kstyle kstyle5)
endblock()
endif()

if(BUILD_QT6)
block(SCOPE_FOR VARIABLES)
    set(QT_MAJOR_VERSION 6)
    unset(QUERY_EXECUTABLE CACHE)

    include(KDEInstallDirs6)
    include (KDECMakeSettings)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets DBus Quick)
    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Config
    CoreAddons
    GuiAddons
    KCMUtils
    WidgetsAddons
    Service
    Completion
    FrameworkIntegration
    WindowSystem)
    find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)

    # https://bugreports.qt.io/browse/QTBUG-114706
    add_library(Qt::Core ALIAS Qt6::Core)
    add_library(Qt::Gui ALIAS Qt6::Gui)
    add_library(Qt::OpenGL ALIAS Qt6::OpenGL)
    add_library(Qt::Network ALIAS Qt6::Network)
    if(Qt6_VERSION_MINOR GREATER 6)
        add_library(Qt::PlatformModuleInternal ALIAS Qt6::PlatformModuleInternal)
    endif()

    add_subdirectory(liboxygen liboxygen6)
    add_subdirectory(kstyle kstyle6)

    add_subdirectory(color-schemes)
    add_subdirectory(cursors)
    add_subdirectory(kdecoration)

    plasma_install_package(lookandfeel org.kde.oxygen look-and-feel lookandfeel)

    ki18n_install(po)
endblock()
endif()

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
oxygen (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:00:18 +0100

oxygen (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:42:47 +0100

oxygen (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:20 +0200

oxygen (4:6.1.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for liboxygenstyleconfig5-6 against
    liboxygenstyleconfig5-5 (Closes: #1074482).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Jun 2024 21:16:14 +0200

oxygen (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jun 2024 21:59:12 +0200

oxygen (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:21:44 +0200

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.25~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkdecorations2-dev (>= 4:6.1.5~),
               libkf5completion-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf6completion-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6guiaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6style-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libplasma-dev (>= 6.1.5~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/oxygen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Rules-Requires-Root: no

Package: kde-style-oxygen-qt5
Architecture: any
Breaks: plasma-desktop-data (<< 4:5.20),
Replaces: plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 5 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kde-style-oxygen-qt6
Architecture: any
Breaks: kde-style-oxygen-qt5 (<< 4:6.1.0~), plasma-desktop-data (<< 4:5.20),
Replaces: kde-style-oxygen-qt5 (<< 4:6.1.0~), plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 6 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: liboxygenstyleconfig5-5,
Replaces: liboxygenstyleconfig5-5,
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: liboxygenstyle6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt6 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

## oxygen 6.2.0+p22.04+vstable+git20241103.0037

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.25)
 project(oxygen)
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.2.2")
 set(PROJECT_VERSION_MAJOR 6)
 
 include(GenerateExportHeader)
@@ -8,11 +8,11 @@
 include(FeatureSummary)
 
 ################# Qt/KDE #################
-set(PROJECT_DEP_VERSION "6.1.5")
+set(PROJECT_DEP_VERSION "6.2.2")
 set(QT5_MIN_VERSION "5.15.2")
 set(KF5_MIN_VERSION "5.102.0")
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.5.0")
 
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
@@ -119,6 +119,7 @@
 
     add_subdirectory(color-schemes)
     add_subdirectory(cursors)
+    add_subdirectory(desktoptheme)
     add_subdirectory(kdecoration)
 
     plasma_install_package(lookandfeel org.kde.oxygen look-and-feel lookandfeel)

=== debian/changelog ===
oxygen (4:6.2.0+p22.04+vstable+git20241103.0037-0) jammy; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 03 Nov 2024 00:37:10 +0000

oxygen (4:6.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:09:19 +0000

oxygen (4:6.1.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:37:35 +0000

oxygen (4:6.1.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:11:57 +0000

oxygen (4:6.1.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:29:59 +0000

oxygen (4:6.1.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:05:39 +0000

oxygen (4:6.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:38:57 +0000

oxygen (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:58:17 +0000

oxygen (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:17:20 +0000

oxygen (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:48:45 +0000

oxygen (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:12:20 +0000

oxygen (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:21:16 +0000

oxygen (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:13:46 +1000

oxygen (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:50:34 +0000

oxygen (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:59:28 +0000

oxygen (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:07:24 +0000

oxygen (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:18:44 +0000

oxygen (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:05:38 +0000

oxygen (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:33:05 +0000

oxygen (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:29:12 +0000

oxygen (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:11:49 +0000

oxygen (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:02:05 +0000

oxygen (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:30:32 +0000

oxygen (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:45:55 +0000

oxygen (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:45:50 +0000

oxygen (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:41:35 +0000

oxygen (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:59:24 +0000

oxygen (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:41:45 +0000

oxygen (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:11:38 +0000

oxygen (4:5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:03:53 +0000

oxygen (4:5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 13:09:00 +0000

oxygen (4:5.25.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2022 22:45:21 +0000

oxygen (4:5.24.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:23:47 +0000

oxygen (4:5.24.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Mar 2022 13:54:08 +0000

oxygen (4:5.24.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Mar 2022 15:44:17 +0000

oxygen (4:5.24.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Feb 2022 13:58:11 +0000

oxygen (4:5.24.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Feb 2022 17:07:21 +0000

oxygen (4:5.23.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Jan 2022 10:36:02 +0000

oxygen (4:5.23.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Nov 2021 14:26:53 +0000

oxygen (4:5.23.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Nov 2021 17:49:17 +0000

oxygen (4:5.23.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Oct 2021 14:06:13 +0000

oxygen (4:5.23.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Oct 2021 15:34:09 +0000

oxygen (4:5.23.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Oct 2021 10:21:21 +0000

oxygen (4:5.22.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 13:35:09 +0000

oxygen (4:5.22.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 27 Jul 2021 12:34:16 +0000

oxygen (4:5.22.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jul 2021 11:50:30 +0000

oxygen (4:5.22.2.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Jun 2021 19:48:10 +0000

oxygen (4:5.22.2-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-frameworkintegration-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               kwayland5-dev,
               libkdecorations2-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5service-dev,
               libkf5style-dev,
               libkf5wayland-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libplasma-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 4.6.2
Homepage: https://https://invent.kde.org/plasma/oxygen/
Vcs-Git: https://invent.kde.org/neon/kde/oxygen.git
Vcs-Browser: https://invent.kde.org/neon/kde/oxygen
Maintainer: Neon CI <neon@kde.org>

Package: oxygen
Architecture: any
Depends: plasma-theme-oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Oxygen meta-package
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen (= ${binary:Version}),
         kde-style-oxygen-qt5 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-cursor-theme,
         oxygen-sounds,
         qml-module-qtquick2,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

Package: kde-style-oxygen
Architecture: any
Depends: liboxygenstyle6 (= ${binary:Version}),
         liboxygenstyleconfig6 (= ${binary:Version}),
         oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.91.90), kde-style-oxygen-qt6
Replaces: kde-style-oxygen-qt5 (<< 4:5.91.90), kde-style-oxygen-qt6
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 6 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: plasma-theme-oxygen, ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-decoration-oxygen6
Replaces: kwin-decoration-oxygen6
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: oxygen-cursor-theme
Architecture: all
Depends: plasma-theme-oxygen, ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma cursor theme.
 These are the Oxygen cursor themes for the KDE Plasma 6 desktop.
 .
 This package is part of the Oxygen theme module.

Package: liboxygenstyle6
Architecture: any
Section: libs
Depends: kde-style-oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.91.90)
Replaces: kde-style-oxygen-qt5 (<< 4:5.91.90)
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig6
Architecture: any
Section: libs
Depends: kde-style-oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: liboxygenstyleconfig5-5 (<< 4:5.91.90)
Replaces: liboxygenstyleconfig5-5 (<< 4:5.91.90)
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: kde-style-oxygen-qt5
Architecture: any
Depends: liboxygenstyle5-5,
         liboxygenstyleconfig5-5,
         oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: liboxygenstyle5
Architecture: any
Section: libs
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyle5-5
Architecture: all
Depends: kde-style-oxygen-qt5, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: liboxygenstyleconfig5
Architecture: any
Section: libs
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: all
Depends: kde-style-oxygen-qt5, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## oxygen 6.2.5

=== debian/changelog ===
oxygen (4:6.2.5-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing Breaks/Replaces against older versions of plasma-
    framework. (Closes: #1092356)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Jan 2025 18:56:32 +0100

oxygen (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:23:26 +0100

oxygen (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:38:02 +0100

oxygen (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:34 +0100

oxygen (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:25:00 +0200

oxygen (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:49 +0200

oxygen (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.
  * Drop useless ${shlibs:Depends} for plasma-theme-oxygen.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:14 +0200

oxygen (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Recommend libkf6kcmutils-bin for the decorations configuration KCM.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:25 +0200

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.25~),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkdecorations2-dev (>= 4:6.2.0~),
               libkf5completion-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf6completion-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6guiaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6service-dev (>= 6.5.0~),
               libkf6style-dev (>= 6.5.0~),
               libkf6widgetsaddons-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libplasma-dev (>= 6.2.5~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/oxygen
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
Rules-Requires-Root: no

Package: kde-style-oxygen-qt5
Architecture: any
Breaks: plasma-desktop-data (<< 4:5.20),
Replaces: plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 5 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kde-style-oxygen-qt6
Architecture: any
Breaks: kde-style-oxygen-qt5 (<< 4:6.1.0~), plasma-desktop-data (<< 4:5.20),
Replaces: kde-style-oxygen-qt5 (<< 4:6.1.0~), plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 6 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Multi-Arch: same
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: liboxygenstyleconfig5-5,
Replaces: liboxygenstyleconfig5-5,
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: liboxygenstyle6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt6 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds,
         qml6-module-qtquick,
         ${misc:Depends},
Breaks: plasma-framework (<< 5.115.0-6~),
Replaces: plasma-framework (<< 5.115.0-6~),
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.
